Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1575778 - Non sequential deployments numbers during deployments in OCP 3.7.42-1
Summary: Non sequential deployments numbers during deployments in OCP 3.7.42-1
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.z
Assignee: Michal Fojtik
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 23:29 UTC by emahoney
Modified: 2019-08-23 13:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 13:00:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description emahoney 2018-05-07 23:29:40 UTC
Description of problem: In an OCP 3.7 latest environments, build numbers are non sequential. For instance, duing a series of builds, builds 1,2 are shown in the build history, build 3 is skipped, and builds 4,5 are shown. This seems very similar to the upstream issue below:

https://github.com/kubernetes/kubernetes/issues/26818


Version-Release number of selected component (if applicable):
atomic-openshift-3.7.42-1.git.0.5a85d33.el7.x86_64

How reproducible:
Have not been able to reproduce this in house. 

Steps to Reproduce:
1.na
2.
3.

Actual results: Builds 1,2,4,5,7 are shown in the build history. 


Expected results: Builds 1-7 are all shown. 


Additional info:

Comment 2 Ben Parees 2018-05-07 23:33:52 UTC
your issue says builds but your screenshot shows deployments...which one are you having issues with?

Comment 3 emahoney 2018-05-07 23:49:59 UTC
The end user is complaining about the screenshot. So this should probably be under deployments. Sorry for the confusion. I'll try to get the node logs showing these deployments as well. Not sure if they went to the same node or not yet.

Comment 4 Ben Parees 2018-05-08 00:07:03 UTC
ok, i've reassigned and fixed the bug title.

Comment 5 Michal Fojtik 2018-05-09 09:16:26 UTC
Seems that the sequence is broken after the previous deployment was cancelled. Can you verify using `oc get rc` if this is not just a web-console rendering issue? 

Also I can't reproduce this on 3.9 or 3.10, so if this was a bug it is likely fixed in the recent version.


Note You need to log in before you can comment on or make changes to this bug.